Name:          sun-fi
Version:       1.2.12
Release:       %mkrel 1
Summary:       Fast Infoset
Group:         Development/Java
License:       CDDL
URL:           https://fi.dev.java.net/
# svn export https://svn.java.net/svn/fi~svn/tags/1_2_12/ sun-fi-1.2.12
# tar czf sun-fi-1.2.12-src-svn.tar.gz sun-fi-1.2.12
Source0:       sun-fi-1.2.12-src-svn.tar.gz

Source1:       sun-fi-1.2.10-depmap
Source2:       sun-fastinfoset-component-info.xml
# remove org.apache.maven.wagon  wagon-webdav
# replace javax.xml.bind jsr173_api with  stax (bea-)stax-api
Patch0:        sun-fi-1.2.12-fastinfoset-project-pom_xml.patch
Patch1:        sun-fi-1.2.10-fastinfoset-pom_xml.patch
Patch2:        sun-fi-1.2.10-utilities-pom_xml.patch

BuildRequires: jpackage-utils
BuildRequires: jvnet-parent

BuildRequires: bea-stax-api

BuildRequires: findbugs-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-extended-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-tools-api
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: stax-ex
BuildRequires: sun-xmlstreambuffer
BuildRequires: sun-xsom
BuildRequires: forge-parent
BuildRequires: maven-surefire-provider-junit4

Requires:      bea-stax-api
Requires:      jpackage-utils
Requires:      stax-ex
Requires:      sun-xmlstreambuffer
Requires:      sun-xsom
BuildArch:     noarch

%description
Fast Infoset specifies a standardized binary encoding for the
XML Information Set. An XML infoset (such as a DOM tree,
StAX events or SAX events in programmatic representations)
may be serialized to an XML 1.x document or, as specified by the
Fast Infoset standard, may be serialized to a fast infoset document.
Fast infoset documents are generally smaller in size and
faster to parse and serialize than equivalent XML documents.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Open Source implementation of the Fast Infoset Standard for Binary XML.

This package contains javadoc for %{name}

%package roundtrip-tests
Group:         Development/Java
Summary:       FastInfoset RoundTrip Tests
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description roundtrip-tests
Open Source implementation of the Fast Infoset Standard for Binary XML.

This package contains FastInfoset RoundTrip Tests.

%package samples
Group:         Development/Java
Summary:       FastInfoset Samples
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description samples
Open Source implementation of the Fast Infoset Standard for Binary XML.

This package contains FastInfoset Samples.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

%build

mvn-rpmbuild install javadoc:aggregate

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 fastinfoset/target/FastInfoset-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -m 644 utilities/target/FastInfosetUtilities-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-utilities.jar
install -m 644 roundtrip-tests/target/FastInfosetRoundTripTests-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-roundtrip-tests.jar
install -m 644 samples/target/FastInfosetSamples-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-samples.jar

ln -s %{name}.jar %{buildroot}%{_javadir}/FastInfoset.jar
ln -s %{name}-utilities.jar %{buildroot}%{_javadir}/FastInfosetUtilities.jar
ln -s %{name}-roundtrip-tests.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests.jar
ln -s %{name}-samples.jar %{buildroot}%{_javadir}/FastInfosetSamples.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 fastinfoset/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 utilities/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-utilities.pom
%add_maven_depmap JPP-%{name}-utilities.pom %{name}-utilities.jar
install -pm 644 roundtrip-tests/pom.xml \
  %{buildroot}%{_mavenpomdir}/JPP-%{name}-roundtrip-tests.pom
%add_maven_depmap JPP-%{name}-roundtrip-tests.pom %{name}-roundtrip-tests.jar
install -pm 644 samples/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-samples.pom
%add_maven_depmap JPP-%{name}-samples.pom %{name}-samples.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/apidocs/javadoc.sh
rm -rf target/site/apidocs/options
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
ln -s %{name} %{buildroot}%{_javadocdir}/FastInfoset


%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/FastInfoset.jar
%{_javadir}/FastInfosetUtilities.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-utilities.jar
%{_mavenpomdir}/JPP-%{name}-project.pom
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavenpomdir}/JPP-%{name}-utilities.pom
%{_mavendepmapfragdir}/*

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :
[ $1 -gt 1 ] && [ -L %{_javadocdir}/FastInfoset ] && \
rm -rf $(readlink -f %{_javadocdir}/FastInfoset) %{_javadocdir}/FastInfoset || :

%files javadoc
%{_javadocdir}/%{name}
%{_javadocdir}/FastInfoset

%files roundtrip-tests
%{_javadir}/FastInfosetRoundTripTests.jar
%{_javadir}/%{name}-roundtrip-tests.jar
%{_mavenpomdir}/JPP-%{name}-roundtrip-tests.pom
%doc roundtrip-tests/readme.txt

%files samples
%{_javadir}/FastInfosetSamples.jar
%{_javadir}/%{name}-samples.jar
%{_mavenpomdir}/JPP-%{name}-samples.pom
%doc samples/readme.html


%changelog

* Thu Jan 12 2012 gil <gil> 1.2.12-1.mga2
+ Revision: 195372
- update to 1.2.12

* Sat Dec 03 2011 gil <gil> 1.2.10-2.mga2
+ Revision: 175282
- rebuilt with maven 3.x
  changed jsr173 with geronimo-stax-api_1.2_spec
- cleaned spec file
- rebuilt with maven 3.x
  changed jsr173 with geronimo-stax-api_1.2_spec
- update to 1.2.10
- imported package sun-fi

  + dmorgan <dmorgan>
    - Fix demap ( from gil)
    - Clean spec file


* Sun Jul 03 2011 gil <gil> 1.2.2-0.%%mkrel
- initial rpm